# std::basic_string<CharT,Traits,Allocator>::pop_back

From cppreference.com
< cpp‎ | string‎ | basic string

void pop_back(); |  | (since C++11)

Removes the last character from the string.

Equivalent to erase(end()-1). The behavior is undefined if the string is empty.

### Parameters

(none)

### Return value

(none)

### Complexity

Constant.

### Exceptions

Throws nothing.

### See also

push_back | appends a character to the end (public member function)
erase | removes characters (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string/pop_back&oldid=107717"